Bug 1088179 (CVE-2014-2432)

Summary: CVE-2014-2432 mysql: unspecified DoS related to Federated (CPU April 2014)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: byte, databases-maint, hhorak, jkurik, jstanek, mmaslano
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20140415,reported=20140416,source=internet,cvss2=3.5/AV:N/AC:M/Au:S/C:N/I:N/A:P,rhel-5/mysql55-mysql=affected,rhel-6/mysql=new,rhel-7/mariadb=affected,rhscl-1/mysql55-mysql=affected,rhscl-1/mariadb55-mariadb=affected,fedora-all/community-mysql=affected,fedora-all/mariadb=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:32:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1088232, 1088234, 1089202, 1089203, 1089209, 1089366, 1092145, 1093372, 1101062, 1101063    
Bug Blocks: 1088219    

Description Huzaifa S. Sidhpurwala 2014-04-16 08:09:11 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Federated). Supported versions that are affected are 5.5.35 and earlier and 5.6.15 and earlier. Difficult to exploit vulnerability allows successful network attacks via multiple protocols, requiring multiple authentications. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html#AppendixMSQL

Comment 1 Huzaifa S. Sidhpurwala 2014-04-16 09:46:22 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1088234]

Comment 2 Huzaifa S. Sidhpurwala 2014-04-16 09:46:25 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1088232]

Comment 6 Fedora Update System 2014-04-29 05:23:13 UTC
mariadb-5.5.37-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-04-29 05:25:34 UTC
community-mysql-5.5.37-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-04-29 05:26:40 UTC
mariadb-5.5.37-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-04-29 05:28:30 UTC
community-mysql-5.5.37-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-05-16 10:09:32 UTC
mariadb-galera-5.5.37-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2014-05-20 11:11:46 UTC
This issue has been addressed in following products:

  Red Hat Software Collections for RHEL-6

Via RHSA-2014:0522 https://rhn.redhat.com/errata/RHSA-2014-0522.html

Comment 12 errata-xmlrpc 2014-05-22 17:12:24 UTC
This issue has been addressed in following products:

  Red Hat Software Collections for RHEL-6

Via RHSA-2014:0537 https://rhn.redhat.com/errata/RHSA-2014-0537.html

Comment 13 errata-xmlrpc 2014-05-22 17:20:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0536 https://rhn.redhat.com/errata/RHSA-2014-0536.html

Comment 15 errata-xmlrpc 2014-06-10 12:45:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0702 https://rhn.redhat.com/errata/RHSA-2014-0702.html